<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <artifactId>ghjg-item-datashare-server</artifactId>
  <build>
    <finalName>ghThreeDataShare</finalName>
    <plugins>
      <plugin>
        <artifactId>maven-war-plugin</artifactId>
        <version>3.0.0</version>
      </plugin>
      <plugin>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <configuration>
          <!--            把本地jar 达成jar的时候加入-->
          <includeSystemScope>true</includeSystemScope>
          <mainClass>com.shanghaichengdi.ghjgitem.GhjgItemServerApplication</mainClass>
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>repackage</goal>
            </goals>
          </execution>
        </executions>
        <groupId>org.springframework.boot</groupId>
        <version>2.0.3.RELEASE</version>
      </plugin>
      <plugin>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <configuration>
              <includeScope>system</includeScope>
              <outputDirectory>${project.build.directory}/${project.build.finalName}/WEB-INF/lib
              </outputDirectory>
            </configuration>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <id>copy-dependencies</id>
            <phase>compile</phase>
          </execution>
        </executions>
        <groupId>org.apache.maven.plugins</groupId>
        <version>2.10</version>
      </plugin>
      <plugin>
        <artifactId>kotlin-maven-plugin</artifactId>
        <configuration>
          <jvmTarget>1.8</jvmTarget>
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>compile</goal>
            </goals>
            <id>compile</id>
            <phase>compile</phase>
          </execution>
          <execution>
            <goals>
              <goal>test-compile</goal>
            </goals>
            <id>test-compile</id>
            <phase>test-compile</phase>
          </execution>
        </executions>
        <groupId>org.jetbrains.kotlin</groupId>
        <version>${kotlin.version}</version>
      </plugin>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <encoding>UTF-8</encoding>
          <source>1.8</source>
          <target>1.8</target>
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>compile</goal>
            </goals>
            <id>compile</id>
            <phase>compile</phase>
          </execution>
          <execution>
            <goals>
              <goal>testCompile</goal>
            </goals>
            <id>testCompile</id>
            <phase>test-compile</phase>
          </execution>
        </executions>
        <groupId>org.apache.maven.plugins</groupId>
        <version>3.8.1</version>
      </plugin>
    </plugins>
    <resources>
      <resource>
        <directory>src/main/java</directory>
        <!-- 此配置不可缺，否则mybatis的Mapper.xml将会丢失 -->
        <includes>
          <include>**/*.xml</include>
        </includes>
      </resource>
      <resource>
        <!--打包时先排除不必要的文件，想要指定加入的再下面的resource指定-->
        <directory>${project.basedir}/src/main/resources</directory>
        <excludes>
          <exclude>profile/**</exclude>
        </excludes>
      </resource>
      <resource>
        <!-- 根据不同的环境，把对应文件夹里的配置文件打包-->
        <directory>${project.basedir}/src/main/resources/profile/${profiles.active}</directory>
        <filtering>true</filtering>
      </resource>
    </resources>
  </build>
  <dependencies>
    <dependency>
      <artifactId>spring-boot-starter</artifactId>
      <groupId>org.springframework.boot</groupId>
    </dependency>

    <dependency>
      <artifactId>spring-boot-starter-test</artifactId>
      <groupId>org.springframework.boot</groupId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <artifactId>spring-boot-starter-web</artifactId>
      <groupId>org.springframework.boot</groupId>
    </dependency>
    <dependency>
      <artifactId>spring-boot-starter-data-redis</artifactId>
      <groupId>org.springframework.boot</groupId>
    </dependency>
    <dependency>
      <artifactId>spring-boot-starter-aop</artifactId>
      <groupId>org.springframework.boot</groupId>
    </dependency>
    <dependency>
      <artifactId>ghjg-item-datashare-common</artifactId>
      <groupId>com.shanghaichengdi</groupId>
      <version>1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <artifactId>hutool-all</artifactId>
      <groupId>cn.hutool</groupId>
    </dependency>
    <dependency>
      <artifactId>jasypt-spring-boot-starter</artifactId>
      <groupId>com.github.ulisesbocchio</groupId>
    </dependency>
    <dependency>
      <artifactId>opencsv</artifactId>
      <groupId>com.opencsv</groupId>
    </dependency>
    <dependency>
      <artifactId>httpclient</artifactId>
      <groupId>org.apache.httpcomponents</groupId>
    </dependency>
    <dependency>
      <artifactId>mybatis-plus-boot-starter</artifactId>
      <groupId>com.baomidou</groupId>
    </dependency>
    <dependency>
      <artifactId>fastjson</artifactId>
      <groupId>com.alibaba</groupId>
    </dependency>
    <!--    <dependency>-->
    <!--      <artifactId>ojdbc6</artifactId>-->
    <!--      <groupId>com.oracle</groupId>-->
    <!--    </dependency>-->
    <dependency>
      <artifactId>ojdbc8</artifactId>
      <groupId>com.oracle.database.jdbc</groupId>
    </dependency>
    <!--    <dependency>-->
    <!--      <groupId>cn.com.kingbase</groupId>-->
    <!--      <artifactId>kingbase8</artifactId>-->
    <!--    </dependency>-->
    <dependency>
      <artifactId>springfox-swagger2</artifactId>
      <groupId>io.springfox</groupId>
    </dependency>
    <dependency>
      <artifactId>springfox-swagger-ui</artifactId>
      <groupId>io.springfox</groupId>
    </dependency>
    <dependency>
      <artifactId>pagehelper-spring-boot-starter</artifactId>
      <groupId>com.github.pagehelper</groupId>
    </dependency>
    <dependency>
      <artifactId>shiro-spring</artifactId>
      <groupId>org.apache.shiro</groupId>
    </dependency>
    <dependency>
      <artifactId>jjwt</artifactId>
      <groupId>io.jsonwebtoken</groupId>
    </dependency>
    <dependency>
      <artifactId>commons-lang3</artifactId>
      <groupId>org.apache.commons</groupId>
    </dependency>
    <dependency>
      <artifactId>easyexcel</artifactId>
      <groupId>com.alibaba</groupId>
    </dependency>
    <dependency>
      <artifactId>spring-boot-starter-validation</artifactId>
      <groupId>org.springframework.boot</groupId>
    </dependency>
    <dependency>
      <groupId>cn.smallbun.screw</groupId>
      <artifactId>screw-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.zaxxer</groupId>
      <artifactId>HikariCP</artifactId>
    </dependency>
  </dependencies>
  <description>ghjg-item-server</description>
  <groupId>com.shanghaichengdi</groupId>
  <modelVersion>4.0.0</modelVersion>
  <name>ghThreeDataShare</name>
  <packaging>war</packaging>
  <parent>
    <artifactId>ghjg-item-datashare</artifactId>
    <groupId>com.shanghaichengdi</groupId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <profiles>
    <profile>
      <!-- 本地开发环境 -->
      <id>dev</id>
      <properties>
        <profiles.active>dev</profiles.active>
      </properties>
    </profile>
    <profile>
      <!-- 发布环境 -->
      <id>pro</id>
      <properties>
        <profiles.active>pro</profiles.active>
      </properties>
    </profile>
    <profile>
      <!-- 测试环境 -->
      <id>test</id>
      <properties>
        <profiles.active>test</profiles.active>
      </properties>
    </profile>
  </profiles>

  <properties>
    <java.version>1.8</java.version>
    <!--打包跳过test-->
    <skipTests>true</skipTests>
  </properties>

  <version>0.0.1-SNAPSHOT</version>


</project>
